FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Masters Of The Universe

 
 
LinkBack Thread Tools
 
Old 06-19-2010, 03:59 PM
Scott Kitterman
 
Default Fixing FTBFS due to Qt 4.7 package split

In Maverick we currently have the beta release on Qt 4.7. One change that
upstream has made in 4.7, is that Qt webkit is split out into a separate
package. Since Debian is staying with Qt 4.6 for Squeeze, this means that
packages that use Qt webkit do not have the complete build-dependencies for
our Qt packages.

https://launchpad.net/ubuntu/+source/freecad/0.9.2646.5.dfsg-1 is an example
of this case that I just fixed. If you see errors like:

error: QWebFrame: No such file or directory (any QWebFoo)

You've likely found a package affected by this. The solution is to add libqt4-
webkit-dev to the package build depends.

I expect that the next rebuild test results we get will reflect quite a number
of these.

Scott K

--
Ubuntu-motu mailing list
Ubuntu-motu@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-motu
 

Thread Tools




All times are GMT. The time now is 10:05 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org